Subject: Re: bug#21612: 24.5; Configuration variable to delete auto-save file when intentionally killing buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Aug 2021 15:58:54 +0200

Eli Zaretskii <[email-masked]> writes:

>> ----
>> Non-nil means delete auto-save file when a buffer is saved.
>> ----
>
> I wouldn't do that, because I think there could be situations where we
> do delete auto-save files in other cases.  The code says: delete if
> the file was auto-saved during this session, was auto-saved after
> being saved, and was modified after being saved.  That's not what we
> want, but I don't think it's impossible to have that.

As you say, it's not what we want...  and I don't think anybody would
want that...

>> Then delete the bit in `kill-buffer' that tries to act on that variable,
>> and then introduce the new variable previously discussed in this bug
>> report.
>> 
>> The two things (deleting auto-save file when saving a file and killing a
>> buffer) do not seem to be very related functionality, so having one
>> variable for both things is just confusing.
>
> We could have 2 variables, yes.

... so I've pushed the two-variable solution now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no